Bug 174998 - deskutils/deforaos-todo patch for respecting PREFIX
Summary: deskutils/deforaos-todo patch for respecting PREFIX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 09:00 UTC by olivier
Modified: 2013-02-10 09:10 UTC (History)
0 users

See Also:


Attachments
deforaos-todo.0.1.2_1.diff (592 bytes, patch)
2013-01-05 09:36 UTC, olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2013-01-05 09:00:00 UTC
	Here is a simple patch that add PREFIX support to this port.
Comment 1 olivier 2013-01-05 09:36:17 UTC
Here is the patch.
Comment 2 Philippe Audeoud freebsd_committer 2013-01-30 15:42:40 UTC
State Changed
From-To: open->feedback

Please, use portlint -a before submitting.
Comment 3 Martin Wilke freebsd_committer 2013-02-10 09:08:48 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-02-10 09:09:00 UTC
Author: miwi
Date: Sun Feb 10 09:08:47 2013
New Revision: 312015
URL: http://svnweb.freebsd.org/changeset/ports/312015

Log:
  - Respect PREFIX
  
  PR:		174998
  Submitted by:	maintainer

Modified:
  head/deskutils/deforaos-todo/Makefile

Modified: head/deskutils/deforaos-todo/Makefile
==============================================================================
--- head/deskutils/deforaos-todo/Makefile	Sun Feb 10 09:05:13 2013	(r312014)
+++ head/deskutils/deforaos-todo/Makefile	Sun Feb 10 09:08:47 2013	(r312015)
@@ -5,8 +5,8 @@ PORTNAME=	todo
 PORTVERSION=	0.1.2
 CATEGORIES=	deskutils
 MASTER_SITES=	http://www.defora.org/os/download/download/3506/
-DISTNAME=	Todo-${PORTVERSION}
 PKGNAMEPREFIX=	deforaos-
+DISTNAME=	Todo-${PORTVERSION}
 
 MAINTAINER=	olivier@cochard.me
 COMMENT=	DeforaOS desktop todo list
@@ -20,5 +20,6 @@ USE_GNOME=	gtk20 desktopfileutils
 USE_PKGCONFIG=	build
 USE_GETTEXT=	yes
 INSTALLS_ICONS=	yes
+MAKE_ARGS+=	PREFIX=${PREFIX}
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"